{
    "tasks": [
        {
            "type": "cppbuild",
            "label": "C/C++: gcc.exe build active file",
            "command": "D:\\Qt\\Tools\\mingw1120_64\\bin\\gcc.exe", //编译器（用QT的编译器）
            "args": [
                "-fdiagnostics-color=always",
                "-g",
                //"${file}",
                "*.c", //当前文件夹下的c文件，其实就是main.c
                "${fileDirname}\\src\\exchange\\*.c", //exchange文件夹下的所有C文件 
                "${fileDirname}\\src\\sysmain\\*.c", //sysmain文件夹下的所有C文件 
                "${fileDirname}\\src\\utils\\*.c", //utils文件夹下的所有C文件 
                "${fileDirname}\\src\\modules\\demodulation\\*.c", //demodulation文件夹下的所有C文件 
                "${fileDirname}\\src\\modules\\basestation\\*.c", //basestation文件夹下的所有C文件 
                "${fileDirname}\\src\\modules\\lctdata\\*.c", //lctdata文件夹下的所有C文件 
                "${fileDirname}\\src\\modules\\location\\*.c", //location文件夹下的所有C文件 
                "${fileDirname}\\src\\modules\\route\\*.c", //route 
                "${fileDirname}\\src\\modules\\imu\\*.c", //imu 文件夹下的所有C文件 
                "-o",
                //"${fileDirname}\\${fileBasenameNoExtension}.exe"
                "${fileDirname}\\bin\\aplm8000sdk.exe" //输出可执行文件名
            ],
            "options": {
                "cwd": "${fileDirname}"
            },
            "problemMatcher": [
                "$gcc"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "detail": "Task generated by Debugger."
        }
    ],
    "version": "2.0.0"
}